List Tenant Segments
curl --request GET \
--url https://api.embedreach.com/api/segmentsimport requests
url = "https://api.embedreach.com/api/segments"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.embedreach.com/api/segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"results": [
{
"results": [
{
"id": "<string>",
"name": "<string>",
"createdAt": "<string>",
"userCount": 123,
"phoneCount": 123,
"emailCount": 123,
"userCountUpdatedAt": "<string>",
"description": "<string>"
}
],
"pagination": {
"hasNextPage": true,
"cursor": "<string>",
"total": 123
}
}
],
"pagination": {
"hasNextPage": true,
"cursor": "<string>",
"total": 123
}
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}Segments
List Tenant Segments
List all tenant segments
GET
/
api
/
segments
List Tenant Segments
Headers
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Query Parameters
The cursor to start from
The limit of items to return, default is 100
The search query to filter by segment name
Filter segments to those scoped to this product feature or unscoped segments
Available options:
engage, measure, reputation, acquire, voice ⌘I